Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 243448 - app-office/abiword-2.6.4 build failure
Summary: app-office/abiword-2.6.4 build failure
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: GNOME Office (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-23 18:00 UTC by Liviu Andronic
Modified: 2009-02-15 15:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fix-build.patch (fix-build.patch,453 bytes, patch)
2008-10-23 18:05 UTC, Liviu Andronic
Details | Diff
abiword-2.6.4.ebuild (abiword-2.6.4.ebuild,2.68 KB, text/plain)
2008-10-23 18:07 UTC, Liviu Andronic
Details
fix build using only sed in ebuild (fix-build-failure.patch,448 bytes, patch)
2008-12-09 11:57 UTC, Fab
Details | Diff
=abiword-2.6.4 part of build log (abiword-2.6.4-partlog,198.22 KB, text/plain)
2008-12-17 10:40 UTC, Fab
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Liviu Andronic 2008-10-23 18:00:44 UTC
Dear Gentoo developers,

The latest Portage-stable AbiWord refused to compile on my system, because of a bug in the Makefile. I managed to build AbiWord with help from the Gentoo-users ML [1], especially from Fabrice Delliaux who wrote the building-fix patch. 

Liviu

[1] http://www.nabble.com/AbiWord-2.6.4-build-failure-td20049424.html
Comment 1 Liviu Andronic 2008-10-23 18:04:35 UTC
The specific build failure was: 
"GNUmakefile:964: *** mixed implicit and normal rules.  Stop.". 
For more debug messages, please check the ML discussion (mentioned in the initial comment). If you need the build log when compilation fails, please let me know and I will recreate the failing-build environment. 

Please find "emerge --info" output below. 


################################
localhost liviu # emerge --info
Portage 2.1.4.4 (default/linux/x86/2008.0/desktop, gcc-4.1.2,
glibc-2.6.1-r0, 2.6.22-gentoo-r5-0.2 i686)
=================================================================
System uname: 2.6.22-gentoo-r5-0.2 i686 Intel(R) Pentium(R) M processor 1.60GHz
Timestamp of tree: Sun, 05 Oct 2008 01:45:04 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium-m -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d
/etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild
/etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium-m -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distlocks metadata-transfer
parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_GB.UTF-8"
LC_ALL="en_GB.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times
--compress --force --whole-file --delete --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi aiglx alsa amr audiofile bash-completion
bitmap-fonts bluetooth branding bzip2 cairo cdda cddb cdparanoia cdr
cli cracklib crypt cups dbus ddloader directfb dri dvd dvdr dvdread
encode fam flac fortran gdbm gif gnome gpm gstreamer gtk hal iconv
imagemagick ipv6 isdnlog javascript jpeg kerberos kpathsea lame ldap
libcaca libnotify lyx mad matroska midi mmx mp3 mpeg mudflap ncurses
nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl png
ppds pppd python qt3 qt3support qt4 quicktime readline reflection
scanner sdl seamonkey session slang spell spl sqlite sse sse2 ssl
startup-notification svg sysfs tcpd texlive threads tiff truetype
truetype-fonts type1-fonts unicode usb vcd vidix vorbis wifi
win32codecs wmf x264 x86 xfce xml xorg xv xvid zlib"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci
emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel
intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem
ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop
empty extplug file hooks iec958 ioplug ladspa lfloat linear meter
mmap_emul mulaw multi null plug rate route share shm softvol"
APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon
authn_dbm authn_default authn_file authz_dbm authz_default
authz_groupfile authz_host authz_owner authz_user autoindex cache dav
dav_fs dav_lock deflate dir disk_cache env expires ext_filter
file_cache filter headers include info log_config logio mem_cache mime
mime_magic negotiation rewrite setenvif speling status unique_id
userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard
mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz
cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LIRC_DEVICES="all" USERLAND="GNU" VIDEO_CARDS="i810 vesa fbdev v4l"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK,
LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS,
PORTAGE_RSYNC_EXTRA_OPTS
################################
Comment 2 Liviu Andronic 2008-10-23 18:05:49 UTC
Created attachment 169604 [details, diff]
fix-build.patch
Comment 3 Liviu Andronic 2008-10-23 18:07:01 UTC
Created attachment 169608 [details]
abiword-2.6.4.ebuild

updated ebuild used with the attached patch
Comment 4 Gilles Dartiguelongue gentoo-dev 2008-10-23 18:44:20 UTC
Did you report this upstream or shall we do it for you ?
Comment 5 Liviu Andronic 2008-10-24 11:30:58 UTC
(In reply to comment #4)
> Did you report this upstream or shall we do it for you ?
> 
The issue was not reported upstream. Please do so. 
Comment 6 Fab 2008-10-29 17:56:24 UTC
Hi,

Fixed by upstream for next 2.6.x version, upstream bug 11797 [1], revision 24954 [2].

[1] http://bugzilla.abisource.com/11797
[2] http://www.abisource.com/viewvc/abiword/branches/ABI-2-6-0-STABLE/src/af/xap/unix/GNUmakefile.am?r1=21986&r2=24954
Comment 7 Fab 2008-12-09 11:57:55 UTC
Created attachment 174709 [details, diff]
fix build using only sed in ebuild

Same effect, using only sed in the ebuild for patching.
Comment 8 Gilles Dartiguelongue gentoo-dev 2008-12-14 22:45:36 UTC
I just pushed 2.6.5 to the tree, please confirm it fixes this problem.
Comment 9 Fab 2008-12-17 10:40:18 UTC
Created attachment 175597 [details]
=abiword-2.6.4 part of build log

For my part, =abiword-2.6.4 from the official portage tree has never failed with this error (see attached part of log). I don't see why make fails with this line on Liviu's system. So, logically, 2.6.5 should build fine for me, since it's just a comment line which has been removed in generated makefile.

My system is mostly stable x86 with CFLAGS="-O2 -march=pentium4 -pipe -ggdb". I can try to build 2.6.5 and attach emerge --info if you want, but I don't think it will be relevant.
Comment 10 Liviu Andronic 2008-12-21 09:39:10 UTC
(In reply to comment #8)
> I just pushed 2.6.5 to the tree, please confirm it fixes this problem.
> 
I just built 2.6.5 by renaming the (original) 2.6.4 ebuild, and everything compiled fine. 
Comment 11 Gilles Dartiguelongue gentoo-dev 2008-12-21 14:09:10 UTC
(In reply to comment #10)
> (In reply to comment #8)
> > I just pushed 2.6.5 to the tree, please confirm it fixes this problem.
> > 
> I just built 2.6.5 by renaming the (original) 2.6.4 ebuild, and everything
> compiled fine. 
> 

2.6.5 is in the tree since a few days already, please try the in tree version.
Comment 12 Liviu Andronic 2009-02-15 15:36:18 UTC
(In reply to comment #11)
> 2.6.5 is in the tree since a few days already, please try the in tree version.
> 

2.6.5 from the official tree seems to compile without any problems.